﻿package nicocache
{
    /**
     * 定数をまとめたクラス
     * 
     */
    public final class Constant
    {
        /** 選択 */
        public static const DATAFIELD_SELECTED:String = "@selected";
        /** エコノミーフラグ */
        public static const DATAFIELD_ECONOMY:String     = "@economy";
        /** 動画ID */
        public static const DATAFIELD_ID:String          = "@id";
        /** パス */
        public static const DATAFIELD_PATH:String        = "@path";
        /** タイトル */
        public static const DATAFIELD_TITLE:String       = "@title";
        /** フォルダ名 */
        public static const DATAFIELD_FOLDERNAME:String  = "@foldername";
        /** ファイルサイズ */
        public static const DATAFIELD_SIZE:String        = "@size";
        /** 更新日付 */
        public static const DATAFIELD_LASTMODIFY:String  = "@lastmodify";
        /** 拡張子 */
        public static const DATAFIELD_FORMAT:String      = "@format";
        /** 一時ファイルフラグ */
        public static const DATAFIELD_TEMPFILE:String    = "@tempfile";
        /** ダウンロード中フラグ */
        public static const DATAFIELD_DOWNLOADING:String = "@downloading";

        /** VIEW：一時ファイル */
        public static const VIEW_TEMP:String   = "temp";
        /** VIEW：キャッシュファイル */
        public static const VIEW_CACHE:String  = "cache";
        /** VIEW：キャッシュファイル全て */
        public static const VIEW_ALL:String    = "all";
        /** VIEW：検索結果 */
        public static const VIEW_SEARCH:String = "search";

        /** TYPE：フォルダ一覧 */
        public static const TYPE_DIRLIST:String     = "dirlist";
        /** TYPE：一時ファイル */
        public static const TYPE_TEMPLIST:String     = "templist";
        /** TYPE：キャッシュファイル */
        public static const TYPE_CACHELIST:String    = "cachelist";
        /** TYPE：キャッシュファイル全て */
        public static const TYPE_CACHELISTALL:String = "cachelistall";
        /** TYPE：検索結果 */
        public static const TYPE_SEARCHRESULT:String = "searchresult";

        public static const VISIBLE_TEMP_TITLE:String = VIEW_TEMP + DATAFIELD_TITLE + COL_ATTR_VISIBLE;
        public static const VISIBLE_TEMP_FOLDERNAME:String = VIEW_TEMP + DATAFIELD_FOLDERNAME + COL_ATTR_VISIBLE;
        public static const VISIBLE_TEMP_PATH:String = VIEW_TEMP + DATAFIELD_PATH + COL_ATTR_VISIBLE;
        public static const VISIBLE_TEMP_SIZE:String = VIEW_TEMP + DATAFIELD_SIZE + COL_ATTR_VISIBLE;
        public static const VISIBLE_TEMP_LASTMODIFY:String = VIEW_TEMP + DATAFIELD_LASTMODIFY + COL_ATTR_VISIBLE;
        public static const VISIBLE_TEMP_FORMAT:String = VIEW_TEMP + DATAFIELD_FORMAT + COL_ATTR_VISIBLE;
        public static const VISIBLE_CACHE_TITLE:String = VIEW_CACHE + DATAFIELD_TITLE + COL_ATTR_VISIBLE;
        public static const VISIBLE_CACHE_FOLDERNAME:String = VIEW_CACHE + DATAFIELD_FOLDERNAME + COL_ATTR_VISIBLE;
        public static const VISIBLE_CACHE_PATH:String = VIEW_CACHE + DATAFIELD_PATH + COL_ATTR_VISIBLE;
        public static const VISIBLE_CACHE_SIZE:String = VIEW_CACHE + DATAFIELD_SIZE + COL_ATTR_VISIBLE;
        public static const VISIBLE_CACHE_LASTMODIFY:String = VIEW_CACHE + DATAFIELD_LASTMODIFY + COL_ATTR_VISIBLE;
        public static const VISIBLE_CACHE_FORMAT:String = VIEW_CACHE + DATAFIELD_FORMAT + COL_ATTR_VISIBLE;
        public static const VISIBLE_ALL_TITLE:String = VIEW_ALL + DATAFIELD_TITLE + COL_ATTR_VISIBLE;
        public static const VISIBLE_ALL_FOLDERNAME:String = VIEW_ALL + DATAFIELD_FOLDERNAME + COL_ATTR_VISIBLE;
        public static const VISIBLE_ALL_PATH:String = VIEW_ALL + DATAFIELD_PATH + COL_ATTR_VISIBLE;
        public static const VISIBLE_ALL_SIZE:String = VIEW_ALL + DATAFIELD_SIZE + COL_ATTR_VISIBLE;
        public static const VISIBLE_ALL_LASTMODIFY:String = VIEW_ALL + DATAFIELD_LASTMODIFY + COL_ATTR_VISIBLE;
        public static const VISIBLE_ALL_FORMAT:String = VIEW_ALL + DATAFIELD_FORMAT + COL_ATTR_VISIBLE;

        /** ホスト名 */
        public static const HOST_NAME:String = "www.nicovideo.jp";
        /** トップページURL */
        public static const URL_TOP_PAGE:String = "http://" + HOST_NAME + "/";
        
        /** 確認オプション: 常に尋ねる */
        public static const CONFIRM_OPTION_ALWAYS:int = 0;
        /** 確認オプション: 複数動画を操作するときのみ尋ねる */
        public static const CONFIRM_OPTION_IF_MULTI:int = 1;
        /** 確認オプション: 尋ねない */
        public static const CONFIRM_OPTION_NEVER:int = 2;
        
        /** カラム：設定保存用キー（幅） */
        public static const COL_ATTR_WIDTH:String = "@width";
        /** カラム：設定保存用キー（表示） */
        public static const COL_ATTR_VISIBLE:String = "@visible";
        
        /** 動作種別：単一 */
        public static const ACTION_TYPE_SINGLE:String = "SINGLE";
        /** 動作種別：複数 */
        public static const ACTION_TYPE_MULTI:String = "MULTI";
        
        /** getthumbinfo APIの結果：成功 */
        public static const NICOVIDEO_THUMB_RESPONSE_STATUS_OK:String = "ok";
        /** getthumbinfo APIの結果：失敗 */
        public static const NICOVIDEO_THUMB_RESPONSE_STATUS_FAIL:String = "fail";
        
        /** エコノミーキャッシュの背景色 */
        public static const BACKGROUND_COLOR_ECONOMY:uint = 0xFF646E;
        
    }
}
