﻿package nicocache.controls 
{
    import mx.core.Application;
    import flash.events.MouseEvent;
    import flash.display.DisplayObject;
    import mx.managers.PopUpManager;

    import nicocache.log.Logger;
    import nicocache.Constant;
    import nicocache.utils.NetUtil;
    import nicocache.form.TitleChangeForm;
    
    public class TitleItemRenderer extends DefaultCacheItemRenderer
    {
        public function TitleItemRenderer() 
        {
            super();
            // ダブルクリックイベントを有効
            doubleClickEnabled = true;
            // イベントハンドラ登録
            addEventListener(MouseEvent.DOUBLE_CLICK, doubleClickEventHandler);
        }
        
        /**
         * ダブルクリックをした際の動作を実装します。
         * 
         * @param	event イベントオブジェクト
         */
        private function doubleClickEventHandler(event:MouseEvent):void
        {
            var form:TitleChangeForm = PopUpManager.createPopUp(
                this, TitleChangeForm, false) as TitleChangeForm;
            form.init(XML(data));
            // 移動先選択ダイアログを非同期で表示
            PopUpManager.centerPopUp(form);
        }
    }
}