﻿package nicocache.controls.column
{
    import nicocache.Constant;
    import nicocache.controls.column.CustomColumn;
    import nicocache.controls.CheckBoxItemRenderer;
    import mx.core.ClassFactory;

    /**
     * チェックボックスカラム
     *
     */
    public class CheckBoxColumn extends CustomColumn
    {
        /**
         * コンストラクタ
         *
         */
        public function CheckBoxColumn()
        {
            super();
            // デフォルト値設定
            dataField        = Constant.DATAFIELD_SELECTED;
            headerText       = "";
            width            = 20;
            resizable        = true;
            sortable         = false;
            itemRenderer     = new ClassFactory(CheckBoxItemRenderer);
            rendererIsEditor = true;
        }
    }
}
