﻿package nicocache.controls.column
{
    import nicocache.Constant;
    import nicocache.controls.column.CustomColumn;
    import nicocache.controls.DefaultCacheItemRenderer;
    import mx.core.ClassFactory;

    /**
     * フォーマットカラム
     *
     */
    public class FormatColumn extends CustomColumn
    {
        /**
         * コンストラクタ
         *
         */
        public function FormatColumn()
        {
            super();
            // デフォルト値設定
            dataField        = Constant.DATAFIELD_FORMAT;
            headerText       = "拡張子"
            width            = 40;
            resizable        = true;
            sortable         = true;
            itemRenderer     = new ClassFactory(DefaultCacheItemRenderer);
            rendererIsEditor = false;
            showDataTips     = false;
        }
    }

}
