﻿package nicocache.controls.column
{
    import nicocache.Constant;
    import nicocache.controls.column.CustomColumn;
    import nicocache.controls.DefaultCacheItemRenderer;
    import mx.core.ClassFactory;

    /**
     * パスカラム
     *
     */
    public class PathColumn extends CustomColumn
    {
        /**
         * コンストラクタ
         *
         */
        public function PathColumn()
        {
            super();
            // デフォルト値設定
            dataField        = Constant.DATAFIELD_PATH;
            headerText       = "パス";
            width            = 150;
            resizable        = true;
            sortable         = true;
            itemRenderer     = new ClassFactory(DefaultCacheItemRenderer);
            rendererIsEditor = false;
            showDataTips     = true;
            dataTipField = Constant.DATAFIELD_PATH;
            labelFunction = sanitizedLabelFunction;
        }
    }
}
