﻿package nicocache.controls.column
{
    import nicocache.Constant;
    import nicocache.controls.column.CustomColumn;
    import nicocache.controls.TitleItemRenderer;
    import mx.core.ClassFactory;

    /**
     * タイトルカラム
     *
     */
    public class TitleColumn extends CustomColumn
    {
        /**
         * コンストラクタ
         *
         */
        public function TitleColumn()
        {
            super();
            // デフォルト値設定
            dataField        = Constant.DATAFIELD_TITLE;
            headerText       = "タイトル";
            width            = 155;
            resizable        = true;
            sortable         = true;
            itemRenderer     = new ClassFactory(TitleItemRenderer);
            rendererIsEditor = true;
            editable = true;
            dataTipField = Constant.DATAFIELD_TITLE;
            showDataTips     = true;
            labelFunction = sanitizedLabelFunction;
        }
        
    }
}
